Leap 42.3 - python3-vobject / PyICU broken

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

Leap 42.3 - python3-vobject / PyICU broken

Axel Braun-2
Hi,
During some tests I found the py3 modules for PyICU and, as depedency,
vobject, are broken.

Both are required for webdav/caldav processing of Python3 Applications

Can one of the maintainers please look into this?

Thanks
Axel
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Leap 42.3 - python3-vobject / PyICU broken

Oliver Kurz-2


Am 13. Juni 2017 16:43:09 MESZ schrieb Axel Braun <[hidden email]>:
>Hi,
>During some tests I found the py3 modules for PyICU and, as depedency,
>vobject, are broken.
>
>Both are required for webdav/caldav processing of Python3 Applications
>
>Can one of the maintainers please look into this?

I already created SRs to d:l:p, they just need to be accepted, then SRs to oS:Fctry will follow
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Leap 42.3 - python3-vobject / PyICU broken

Eric Schirra-3
Am Dienstag, 13. Juni 2017, 17:25:00 CEST schrieb Oliver Kurz:

> Am 13. Juni 2017 16:43:09 MESZ schrieb Axel Braun <[hidden email]>:
> >Hi,
> >During some tests I found the py3 modules for PyICU and, as depedency,
> >vobject, are broken.
> >
> >Both are required for webdav/caldav processing of Python3 Applications
> >
> >Can one of the maintainers please look into this?
>
> I already created SRs to d:l:p, they just need to be accepted, then SRs to
> oS:Fctry will follow

There was many packages in python deleted.
Why?

But Axel write about python3.
Python3-PyICU could not build because of missing icu-le
This is only in libicu57_1. Not in libicu59_1.
And libicu is no more in d:l:p.
Think it is delete too.


--
Regards
 eRiC
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Leap 42.3 - python3-vobject / PyICU broken

Martin Pluskal-2
On 6/13/17 7:52 PM, Eric Schirra wrote:

> Am Dienstag, 13. Juni 2017, 17:25:00 CEST schrieb Oliver Kurz:
>> Am 13. Juni 2017 16:43:09 MESZ schrieb Axel Braun <[hidden email]>:
>>> Hi,
>>> During some tests I found the py3 modules for PyICU and, as depedency,
>>> vobject, are broken.
>>>
>>> Both are required for webdav/caldav processing of Python3 Applications
>>>
>>> Can one of the maintainers please look into this?
>>
>> I already created SRs to d:l:p, they just need to be accepted, then SRs to
>> oS:Fctry will follow
>
> There was many packages in python deleted.
> Why?
>
> But Axel write about python3.
> Python3-PyICU could not build because of missing icu-le
> This is only in libicu57_1. Not in libicu59_1.
> And libicu is no more in d:l:p.
> Think it is delete too.
>
>
Hi

I have to admit that I struggle a bit to understand what you are trying
to say, but I guess that you missed python single spec transition, which
leads to obsoletion of d:l:python3 - thats why thinks are happening in
d:l:p even for python3 now. And yes, there were cleanups of abandoned
packages there.

Cheers

Martin


signature.asc (836 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Leap 42.3 - python3-vobject / PyICU broken

Eric Schirra-3
Am Dienstag, 13. Juni 2017, 21:03:12 CEST schrieb Martin Pluskal:

> On 6/13/17 7:52 PM, Eric Schirra wrote:
> > Am Dienstag, 13. Juni 2017, 17:25:00 CEST schrieb Oliver Kurz:
> >> Am 13. Juni 2017 16:43:09 MESZ schrieb Axel Braun <[hidden email]>:
> >>> Hi,
> >>> During some tests I found the py3 modules for PyICU and, as depedency,
> >>> vobject, are broken.
> >>>
> >>> Both are required for webdav/caldav processing of Python3 Applications
> >>>
> >>> Can one of the maintainers please look into this?
> >>
> >> I already created SRs to d:l:p, they just need to be accepted, then SRs
> >> to
> >> oS:Fctry will follow
> >
> > There was many packages in python deleted.
> > Why?
> >
> > But Axel write about python3.
> > Python3-PyICU could not build because of missing icu-le
> > This is only in libicu57_1. Not in libicu59_1.
> > And libicu is no more in d:l:p.
> > Think it is delete too.
>
> Hi
>
> I have to admit that I struggle a bit to understand what you are trying
> to say, but I guess that you missed python single spec transition, which
> leads to obsoletion of d:l:python3 - thats why thinks are happening in
> d:l:p even for python3 now. And yes, there were cleanups of abandoned
> packages there.
> Cheers

Sorry for my english.
For myself i need python-PyICU.
This is no more in repo. But for some days it was.
And there are some more package wich were deleted.
There is  now, or some time longer, a package python-icu. But official the
package is called PyICU not simple icu.
I have made two request, include update to 1.9.7, a new python-PyICU and an
update python3-PyICU.
But both will not build in d:l:p because icu-le is missing.
Icu-le is in libicu57_1.
And libicu57_1 is also deleted. No libicu is in d:l:p
But both packages python-PyICU and python3-PyICU was build in d:l:p without
error for some days or weeks.

I hope you can understand my english now. :-)

Cheers, too.
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Leap 42.3 - python3-vobject / PyICU broken

Oliver Kurz-2
On Tuesday, 13 June 2017 21:21:02 CEST Eric Schirra wrote:

> Am Dienstag, 13. Juni 2017, 21:03:12 CEST schrieb Martin Pluskal:
> > On 6/13/17 7:52 PM, Eric Schirra wrote:
> > > Am Dienstag, 13. Juni 2017, 17:25:00 CEST schrieb Oliver Kurz:
> > >> Am 13. Juni 2017 16:43:09 MESZ schrieb Axel Braun <[hidden email]>:
> > >>> Hi,
> > >>> During some tests I found the py3 modules for PyICU and, as depedency,
> > >>> vobject, are broken.
> > >>>
> > >>> Both are required for webdav/caldav processing of Python3 Applications
> > >>>
> > >>> Can one of the maintainers please look into this?
> > >>
> > >> I already created SRs to d:l:p, they just need to be accepted, then SRs
> > >> to
> > >> oS:Fctry will follow
> > >
> > > There was many packages in python deleted.
> > > Why?
> > >
> > > But Axel write about python3.
> > > Python3-PyICU could not build because of missing icu-le
> > > This is only in libicu57_1. Not in libicu59_1.
> > > And libicu is no more in d:l:p.
> > > Think it is delete too.
> >
> > Hi
> >
> > I have to admit that I struggle a bit to understand what you are trying
> > to say, but I guess that you missed python single spec transition, which
> > leads to obsoletion of d:l:python3 - thats why thinks are happening in
> > d:l:p even for python3 now. And yes, there were cleanups of abandoned
> > packages there.
> > Cheers
>
> Sorry for my english.
> For myself i need python-PyICU.
> This is no more in repo. But for some days it was.
> And there are some more package wich were deleted.
> There is  now, or some time longer, a package python-icu. But official the
> package is called PyICU not simple icu.
> I have made two request, include update to 1.9.7, a new python-PyICU and an
> update python3-PyICU.
> But both will not build in d:l:p because icu-le is missing.
> Icu-le is in libicu57_1.
> And libicu57_1 is also deleted. No libicu is in d:l:p
> But both packages python-PyICU and python3-PyICU was build in d:l:p without
> error for some days or weeks.
>
> I hope you can understand my english now. :-)

The maintainers of d:l:p will most likely not want to accept a submit request
for package additions which are not using the "singlespec" approach.

I have created a submit request already which is re-adding the package,
updating to 1.9.7 as you also did but also using the singlespec approach:
https://build.opensuse.org/request/show/502994
This package will provide both python2-PyICU *and* python3-PyICU.

As Axel is most likely talking about preparing a new gnuhealth stack
submission based on python3 this is the way to go for all python packages.
Therefore I have created as well the submit requests for
* python-vobject: https://build.opensuse.org/request/show/503298
* python-caldav: https://build.opensuse.org/request/show/503299
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Leap 42.3 - python3-vobject / PyICU broken

Axel Braun-2
Am Dienstag, 13. Juni 2017, 23:06:43 CEST schrieb Oliver Kurz:
> On Tuesday, 13 June 2017 21:21:02 CEST Eric Schirra wrote:
> > Am Dienstag, 13. Juni 2017, 21:03:12 CEST schrieb Martin Pluskal:
> > > On 6/13/17 7:52 PM, Eric Schirra wrote:
> > > > Am Dienstag, 13. Juni 2017, 17:25:00 CEST schrieb Oliver Kurz:
> > > >> Am 13. Juni 2017 16:43:09 MESZ schrieb Axel Braun
<[hidden email]>:

> > > >>> Hi,
> > > >>> During some tests I found the py3 modules for PyICU and, as
> > > >>> depedency,
> > > >>> vobject, are broken.
> > > >>>
> > > >>> Both are required for webdav/caldav processing of Python3
> > > >>> Applications
> > > >>>
> > > >>> Can one of the maintainers please look into this?
> > > >>
> > > >> I already created SRs to d:l:p, they just need to be accepted, then
> > > >> SRs
> > > >> to
> > > >> oS:Fctry will follow
> > > >
> > > > There was many packages in python deleted.
> > > > Why?
> > > >
> > > > But Axel write about python3.
> > > > Python3-PyICU could not build because of missing icu-le
> > > > This is only in libicu57_1. Not in libicu59_1.
> > > > And libicu is no more in d:l:p.
> > > > Think it is delete too.
> > >
> > > Hi
> > >
> > > I have to admit that I struggle a bit to understand what you are trying
> > > to say, but I guess that you missed python single spec transition, which
> > > leads to obsoletion of d:l:python3 - thats why thinks are happening in
> > > d:l:p even for python3 now. And yes, there were cleanups of abandoned
> > > packages there.
> > > Cheers
> >
> > Sorry for my english.
> > For myself i need python-PyICU.
> > This is no more in repo. But for some days it was.
> > And there are some more package wich were deleted.
> > There is  now, or some time longer, a package python-icu. But official the
> > package is called PyICU not simple icu.
> > I have made two request, include update to 1.9.7, a new python-PyICU and
> > an
> > update python3-PyICU.
> > But both will not build in d:l:p because icu-le is missing.
> > Icu-le is in libicu57_1.
> > And libicu57_1 is also deleted. No libicu is in d:l:p
> > But both packages python-PyICU and python3-PyICU was build in d:l:p
> > without
> > error for some days or weeks.
> >
> > I hope you can understand my english now. :-)
>
> The maintainers of d:l:p will most likely not want to accept a submit
> request for package additions which are not using the "singlespec"
> approach.

Not sure....in some cases a python3-only version , esp if they have
executables:
https://en.opensuse.org/openSUSE:Packaging_Python_Singlespec#Executables

> I have created a submit request already which is re-adding the package,
> updating to 1.9.7 as you also did but also using the singlespec approach:
> https://build.opensuse.org/request/show/502994
> This package will provide both python2-PyICU *and* python3-PyICU.
>
> As Axel is most likely talking about preparing a new gnuhealth stack
> submission based on python3 this is the way to go for all python packages.
> Therefore I have created as well the submit requests for
> * python-vobject: https://build.opensuse.org/request/show/503298
> * python-caldav: https://build.opensuse.org/request/show/503299

Thanks for your contribution! Lets hope the reviews takes place soon

Best,
Axel
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]